#include <fstream>
using namespace std;

int main()
{
    unsigned long long n, N, S, P;

    // s[i] = numarul de segmente ale cifrei i
    int s[10] = {6, 2, 5, 5, 4, 5, 6, 3, 7, 6};

    // a[i] nr de cifre strict mai mari decat cifra i care se pot obtine din cifra i 
    // prin adaugare de segmente
    int a[10] = {1, 5, 1, 2, 2, 3, 1, 2, 0, 0};

    // b[i] = nr de cifre care se pot obtine din cifra i (inclusiv cifra i) 
    // prin adaugarea a 0 sau mai multe segmente
    int b[10] = {2, 7, 2, 3, 3, 4, 2, 5, 1, 2};

    int  k, c[25]; // retine cifrele numarului n; k = nr de cifre ale lui n
    int aux, v;

    ifstream fin("cifre.in");
    ofstream fout("cifre.out");

    fin >> v >> n;
	int uc;
	if (v == 1)
	{
		N = n; S = 0;
		while (N > 0)
		{
			uc = N % 10;
			S += s[uc];
			N /= 10;
		}
		fout << S << '\n';
	}

	if (v == 2)
	{
		// retinem cifrele in sirul c
		N = n;k = 0;
		while (N > 0)
		{
			c[++k] = N % 10;
			N /= 10;
		}
		
		// inversam sirul
		for (int i = 1, j = k; i < j; i++, j--)
		{
			aux = c[i];
			c[i] = c[j];
			c[j] = aux;
		}

	   //  2     7    6    4    8 
	   // a[2]*b[7]*b[6]*b[4]*b[8]
	  
	   //  2     7    6    8    8
	  
		S = 0;
		for (int i = 1; i <= k; ++i)
		{
			if (a[c[i]])     // daca exista vreo cifra mai mare ca c[i] car se poate obtine prin adaugare
			{
				P = a[c[i]]; // nr cifre strict mai mari decat cifra c[i] care se pot obtine prin adaugare de segmente
				for (int j = i + 1; j <= k; ++j)
					P *= b[c[j]];
				S += P;
			}
		}

		fout << S << '\n';
	}


	return 0;
}

